com.amazon.redshift.plugin.utils

## Class RequestUtils

- java.lang.Object
- - com.amazon.redshift.plugin.utils.RequestUtils

    public class RequestUtils
    extends Object

Http Request utils.

### Method Summary

All Methods Static Methods Concrete Methods
`static AWSSecurityTokenService` `buildSts(String stsEndpoint, String region, AWSSecurityTokenServiceClientBuilder builder, AWSCredentialsProvider p, RedshiftLogger log)`
`static ClientConfiguration` `getProxyClientConfig(RedshiftLogger log)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### buildSts

    public static AWSSecurityTokenService buildSts(String stsEndpoint,
                                                   String region,
                                                   AWSSecurityTokenServiceClientBuilder builder,
                                                   AWSCredentialsProvider p,
                                                   RedshiftLogger log)
                                            throws Exception

Throws:
  `Exception`

#### getProxyClientConfig

    public static ClientConfiguration getProxyClientConfig(RedshiftLogger log)